Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 3.2.76
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.bind.tuple
Class TupleInputBinding

    java.lang.Object
      com.sleepycat.bind.tuple.TupleInputBinding

All Implemented Interfaces:
  EntryBinding

    public class TupleInputBinding

extends Object
implements EntryBinding

A concrete `EntryBinding` that uses the `TupleInput` object as the key or data object. A concrete tuple binding for key or data entries which are `TupleInput` objects. This binding is used when tuples themselves are the objects, rather than using application defined objects. A `TupleInput` must always be used. To convert a `TupleOutput` to a `TupleInput`, use the `TupleInput.TupleInput(TupleOutput)` constructor.

Author:
  Mark Hayes

Constructor Summary
`TupleInputBinding()` Creates a tuple input binding.

Method Summary
`Object` | `entryToObject(DatabaseEntry entry)` Converts a entry buffer into an Object.
`void` | `objectToEntry(Object object, DatabaseEntry entry)` Converts an Object into a entry buffer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TupleInputBinding

    public TupleInputBinding()

  Creates a tuple input binding.

Method Detail

### entryToObject

    public Object entryToObject(DatabaseEntry entry)

  Description copied from interface: `EntryBinding`
  Converts a entry buffer into an Object.

  Specified by:
    `entryToObject` in interface `EntryBinding`
  Parameters:
    `entry` - is the source entry buffer.
  Returns:
    the resulting Object.

### objectToEntry

    public void objectToEntry(Object object,
                              DatabaseEntry entry)

  Description copied from interface: `EntryBinding`
  Converts an Object into a entry buffer.

  Specified by:
    `objectToEntry` in interface `EntryBinding`
  Parameters:
    `object` - is the source Object.
    `entry` - is the destination entry buffer.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 3.2.76
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1996,2008 Oracle. All rights reserved.